Skip to main content
GET
Get Segment

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

segmentId
string
required

A unique customer segment ID.

Example:

"seg_DNAOhUtJffvX0f57ajLMFBYR"

Response

Returns segment object.

Response body schema for GET v1/segments/{segmentId}.

id
string

Unique segment ID.

Example:

"seg_1wc52c5z6r1kQ81brO8j9Hk2"

name
string

Segment name.

created_at
string<date-time>

Timestamp representing the date and time when the segment was created. The value is shown in the ISO 8601 format.

Example:

"2022-05-12T13:01:56.896Z"

updated_at
string<date-time>

Timestamp in ISO 8601 format indicating when the segment was updated.

Example:

"2022-10-03T12:24:58.008Z"

type
enum<string>

Defines whether the segment is:

  • Active (auto-update): customers enter and leave the segment based on the defined filters and the customer.segment.entered and customer.segment.left events are triggered,
  • Passive (passive): customers enter and leave the segment based on the defined filters, but the customer.segment.entered and customer.segment.left events are not triggered,
  • Static (static): manually selected customers.
Available options:
auto-update,
passive,
static
filter
object | null

Defines a set of criteria for an auto-update or passive segment type.

object
enum<string>
default:segment

The type of the object represented by JSON. This object stores information about the customer segment.

Available options:
segment
Last modified on May 4, 2026